> For the complete documentation index, see [llms.txt](https://docs.ospree.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ospree.io/developers/webhooks/api-endpoints/list-webhook-requests.md).

# List Webhook Requests

<mark style="color:green;">`GET`</mark>  `/api/v2/webhooks/requests`

The List Webhook Requests endpoint retrieves the list of all webhook event notifications sent to the business.

### Query Parameters

<table><thead><tr><th width="245.671875">Name</th><th>Type</th><th width="247.37109375">Description</th><th>Required</th></tr></thead><tbody><tr><td><code>page</code></td><td>integer</td><td><p>The current page number in pagination. </p><p></p><p>Minimum: <mark style="color:orange;"><code>1</code></mark></p><p>Default: <mark style="color:orange;"><code>1</code></mark></p></td><td>false</td></tr><tr><td><code>size</code></td><td>integer</td><td><p>The size or number of records per page. </p><p></p><p>Minimum: <mark style="color:orange;"><code>1</code></mark></p><p>Default: <mark style="color:orange;"><code>10</code></mark></p></td><td>false</td></tr><tr><td><code>event_type</code></td><td>string</td><td><p>Type of webhook request. Refer to <a data-mention href="/pages/FnOyY3sp387pN1WqfPh5#webhook-events">/pages/FnOyY3sp387pN1WqfPh5#webhook-events</a></p><p></p><p>Example: <mark style="color:orange;"><code>TRAVEL_RULE</code></mark></p></td><td>false</td></tr><tr><td><code>event_name</code></td><td>string</td><td><p>Name of webhook request. Refer to <a data-mention href="/pages/FnOyY3sp387pN1WqfPh5#webhook-events">/pages/FnOyY3sp387pN1WqfPh5#webhook-events</a></p><p></p><p>Example: <mark style="color:orange;"><code>INCOMING_TRANSFER</code></mark></p></td><td>false</td></tr></tbody></table>

{% tabs %}
{% tab title="RESPONSE" %}

```json
{
    "status": "success",
    "data": {
        "items": [
            {
                "id": "06859059-fb46-7ec1-8000-56fc7aa163ae",
                "webhook_url": "https://example.com",
                "event_type": "TRAVEL_RULE",
                "event_name": "TRANSFER_ACCEPTED",
                "status": 200,
                "request_payload": {
                    "data": {
                        "dti": "4H95J0R2X",
                        "chain": "bitcoin",
                        "amount": 4.2,
                        "symbol": "BTC",
                        "protocol": "flow",
                        "amount_usd": 428462.12,
                        "transfer_id": "06858fb9-bae1-79cd-8000-3094dc29f766",
                        "reference_id": "65HIgpJqAUmc664atmlO",
                        "transfer_status": "ACCEPTED",
                        "transaction_hash": null,
                        "originator_address_is_self_hosted": true,
                        "beneficiary_address_is_self_hosted": false
                    },
                    "error": null,
                    "timestamp": "2025-06-23T07:00:43.717046+00:00",
                    "event_name": "TRANSFER_ACCEPTED",
                    "event_type": "TRAVEL_RULE",
                    "request_id": "06859059-fb46-7ec1-8000-56fc7aa163ae"
                },
                "error_details": null,
                "timestamp": "2025-06-24T04:38:34.141086+00:00"
            },
            {
                "id": "06859755-5e06-7706-8000-5bbe7c7fb567",
                "webhook_url": "https://example.com",
                "event_type": "TRAVEL_RULE",
                "event_name": "TRANSFER_ACCEPTED",
                "status": 404,
                "request_payload": {
                    "data": {
                        "dti": "4H95J0R2X",
                        "chain": "bitcoin",
                        "amount": 1,
                        "symbol": "BTC",
                        "protocol": "flow",
                        "amount_usd": 101717.98,
                        "transfer_id": "0685974a-1bf5-7dfa-8000-fec046c7692c",
                        "reference_id": "ref-id-jun23-003",
                        "transfer_status": "ACCEPTED",
                        "transaction_hash": null,
                        "originator_address_is_self_hosted": true,
                        "beneficiary_address_is_self_hosted": false
                    },
                    "error": null,
                    "timestamp": "2025-06-23T15:37:07.201117+00:00",
                    "event_name": "TRANSFER_ACCEPTED",
                    "event_type": "TRAVEL_RULE",
                    "request_id": "06859755-5e06-7706-8000-5bbe7c7fb567"
                },
                "error_details": {
                    "error": "Client error '404 Not Found' for url 'https://example.com'\nFor more information check: https://httpstatuses.com/404",
                    "response_text": "http error...",
                    "attempt_number": 1
                },
                "timestamp": "2025-06-24T04:38:00.499472+00:00"
            }
        ],
        "total": 10,
        "page": 1,
        "size": 2
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ospree.io/developers/webhooks/api-endpoints/list-webhook-requests.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
